Skip to main content
GET
/
main-page
/
indexing-status
Check if indexing is finished with indexing ratio
curl --request GET \
  --url 'https://api.blockscout.com/{chain_id}/api/v2/main-page/indexing-status?apikey='
{
  "finished_indexing": true,
  "finished_indexing_blocks": true,
  "indexed_blocks_ratio": 123,
  "indexed_internal_transactions_ratio": 123
}

Documentation Index

Fetch the complete documentation index at: https://blockscout-mf-14206.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

apikey
string
query
required

API key for authentication. Required for all Pro API endpoints. Obtain your API key at https://dev.blockscout.com/

Query Parameters

apikey
string
required

API key for rate limiting or for sensitive endpoints

key
string

Secret key for getting access to restricted resources

Response

200 - application/json

Current blockchain indexing status.

finished_indexing
boolean
finished_indexing_blocks
boolean
indexed_blocks_ratio
number<float>
indexed_internal_transactions_ratio
number<float> | null